
#include <bx.h>

int main (void)
{
  bx_window window;
  unsigned w= 500, h= 500;
  int x [4], y [4];
  bx_init ();

  window= bx_create_window ("random bezier walk", 10, 10, w, h);
  srand (time (0));
  x[0]= rand ()%w; x[1]= rand ()%w;
  y[0]= rand ()%h; y[1]= rand ()%h;

  bx_set_line_width (3);
  for (;;) {
    bx_set_rgb ( rand()%256, rand()%256, rand()%256);
    
    x[2]= rand()%w; x[3]= rand()%w;
    y[2]= rand()%h; y[3]= rand()%h;
  
    bx_draw_bezier (window, 
                    x[0],y[0], x[1],y[1],
                    x[2],y[2], x[3],y[3]);

    bx_show_canvas (window, 100);

    x[0]= x[3]; x[1]= x[3] + (x[3]-x[2]);
    y[0]= y[3]; y[1]= y[3] + (y[3]-y[2]);
  }
  return 0;
}
