
#include <bx.h>

int main (void)
{
  bx_window window;
  unsigned w= 500, h= 500;
  int x0,y0,x1,y1,x2,y2,x3,y3;
  bx_init ();

  window= bx_create_window ("random bezier curves", 10, 10, w, h);
  srand (time (0));
  for (;;) {
    bx_clear_canvas (window, bx_white ());
    x0=rand()%w; y0=rand()%h; 
    x1=rand()%w; y1=rand()%h;
    x2=rand()%w, y2=rand()%h;
    x3=rand()%w, y3=rand()%h;
    bx_set_rgb ( rand ()%256, rand()%256, rand()%256);
    bx_set_line_width (1);
    bx_draw_line (window, x0,y0, x1,y1);
    bx_draw_line (window, x1,y1, x2,y2);
    bx_draw_line (window, x2,y2, x3,y3);
    bx_set_rgb ( rand ()%256, rand()%256, rand()%256);
    bx_set_line_width (rand ()%10+1);
    bx_draw_bezier (window, x0,y0, x1,y1, x2,y2, x3,y3);
                   
    bx_show_canvas (window, 1000);
  }
  return 0;
}
