

#include "bx.h"


#define PATH "../RES/JUJU/APE/"

int main (void)
{
  bx_window window;
  bx_image monkey [6];
  unsigned w= 500, h= 500;
  int x= w/2, y= h/2, dx= 10, k;
 
  bx_init ();
  
  for (k= 0; k < 6; k++) {
    monkey [k]= bx_load_image_f (1, "APE/walk-%d.png", k);
  } 

  window= bx_create_window ("walking monkey", 100, 100, w, h);

  for (k= 0;; k= (k+1) % 6) {
    bx_clear_canvas (window, bx_black ());
    bx_flip_image (monkey [k], (dx < 0), 0);
    bx_draw_image (window, monkey [k], 
                   x - bx_image_width  (monkey [k])/2, 
                   y - bx_image_height (monkey [k]));
    bx_show_canvas (window, 100);
    x+= dx;
    if (x > (int)w - 50 || x < 50) { dx= -dx; }
  }


  bx_loop ();
  return 0;
}
