#include <bx.h>

int main (void)
{
  bx_window win;
# define NB_COLORS 11
  bx_color c [NB_COLORS];
  int w= 300, h= 60, k;
  
  bx_init ();
  win= bx_create_window ("bx_blend_color", 10 , 10, w, h);
  c [0]= bx_pink (); c [NB_COLORS-1]= bx_yellow ();
  for (k= 1; k < NB_COLORS-1; k++) {
    c[k]= bx_blend_color (c [0], k/(double) NB_COLORS, c[NB_COLORS-1]);
  }
  for (k= 0; k < NB_COLORS; k++) {
    bx_set_color (c [k]); 
    bx_draw_box (win, w*k/NB_COLORS, 0, w/NB_COLORS, h, BX_FILLED);
  }
  bx_show_canvas (win, 0);
  bx_loop();
  return 0;
}
