
#include <bx.h>

int main (void)
{
  bx_window window;
  bx_color c1, c2, c3, c4;

  int x, y;
  unsigned w= 500, h= 500, step= 5;
  
  bx_init ();


  window= bx_create_window ("color gradient", 100, 100, w, h);

  srand (time (0));
  c1= bx_rgb_to_color (rand()%256, rand()%256, rand()%256);
  c2= bx_rgb_to_color (rand()%256, rand()%256, rand()%256);
  c3= bx_rgb_to_color (rand()%256, rand()%256, rand()%256);
  c4= bx_rgb_to_color (rand()%256, rand()%256, rand()%256);

  for (x= 0; x < 500; x+= step) {
    for (y= 0; y < 500; y+= step) {
      double xratio= x / (double) w;
      double yratio= y / (double) h;
      bx_color b1= bx_blend_color (c1, xratio, c2); 
      bx_color b2= bx_blend_color (c3, xratio, c4);
      bx_color b3= bx_blend_color (b1, yratio, b2);
      bx_set_color (b3);
      bx_draw_box (window, x, y, step, step, 1);
    }
  }
   bx_show_canvas (window,0);
 
  bx_loop ();
  return 0;
}
