
#include <bx.h>

#define NB_POINTS 10

int main (void)
{
  bx_window window;
  unsigned w= 500, h= 500;

  bx_init ();

  window= bx_create_window ("random polygons", 10, 10, w, h);
  srand (time (0));
  for (;;) {
    int k, x_poly [NB_POINTS], y_poly [NB_POINTS];
    int filled= rand ()%2;
    int closed= rand ()%2;
    for (k= 0; k < NB_POINTS; k++) {
      x_poly [k]= rand ()%w;
      y_poly [k]= rand ()%h;
    }
    bx_clear_canvas (window, bx_white ());
    bx_set_rgb ( rand ()%256, rand()%256, rand()%256);
    bx_set_line_width (rand ()%10);
    bx_draw_polygon (window, NB_POINTS, x_poly, y_poly, closed, filled);
    bx_show_canvas (window, 2000);
  }
  return 0;
}
